Skip to main content
Platform O&M/Migration Service (Plus)/Migration Service Operations
POSTMigration Service OperationsSince 3.0.1SynchronousAuth Required

ConvertVmFromForeignHypervisor

ConvertVmFromForeignHypervisor

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • urlStringRequired

      The source VM instance URL.

    • nameStringRequired

      The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

    • conversionHostUuidString

      Optional. The V2V conversion host UUID.

    • cpuNumIntegerRequired

      The CPU count.

    • memorySizeLongRequired

      The memory size.

    • zoneUuidString

      Optional. The zone UUID.

    • clusterUuidString

      Optional. The cluster UUID.

    • hostUuidString

      Optional. The host UUID.

    • primaryStorageUuidStringRequired

      The primary storage UUID.

    • l3NetworkUuidsListRequired

      The L3 network UUID list.

    • defaultL3NetworkUuidString

      Optional. The UUID of the default L3 network.

    • platformString

      Optional. The platform.

    • typeString

      Optional. The VM instance type.

    • strategyString

      Optional. The V2V migration strategy, which determines whether the target VM instance will be started immediately after migration.

    • longJobNameString

      Optional. The migration job name.

    • longJobDescriptionString

      Optional. The migration job description.

    • resourceUuidString

      Optional. The resource UUID of the V2V migration job.

    • convertStrategyString

      Optional.

    • sshPrivKeyString

      Optional. The private key that is used to verify SSH login.

    • pauseVmboolean

      Optional. Whether to pause the VM instance before migration.

    • volumeFiltersList

      Optional. The volume filter information.

    • tagUuidsList

      Optional. The tag UUID list.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The detailed description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryLongJobInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • apiIdStringRequired

      The API ID used to associate with the task progress.

    • jobNameStringRequired

      The job name.

    • jobDataStringRequired

      The job data.

    • jobResultStringRequired

      The job result.

    • targetResourceUuidStringRequired

      The target resource UUID.

    • managementNodeUuidStringRequired

      The management node UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateLongJobStateRequired

      See state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

Endpoint

POST/zstack/v1/v2vs

/zstack/v1/v2vs

Operation ID

ConvertVmFromForeignHypervisor

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/v2vs' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"url":"<url>","name":"<name>","description":"<description>","conversionHostUuid":"<conversionHostUuid>","cpuNum":1,"memorySize":1,"zoneUuid":"<zoneUuid>","clusterUuid":"<clusterUuid>","hostUuid":"<hostUuid>","primaryStorageUuid":"<primaryStorageUuid>","l3NetworkUuids":["<l3NetworkUuids>"],"defaultL3NetworkUuid":"<defaultL3NetworkUuid>","platform":"<platform>","type":"<type>","strategy":"<strategy>","longJobName":"<longJobName>","longJobDescription":"<longJobDescription>","resourceUuid":"<resourceUuid>","convertStrategy":"<convertStrategy>","sshPrivKey":"<sshPrivKey>","pauseVm":true,"volumeFilters":["<volumeFilters>"],"tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "58c143053914375e94529a5590c64f95" } }

Change History

This API has no change history records yet.

View all change history